org.eclipse.cdt.core.parser

## Enum ParserMode

- java.lang.Object
- - java.lang.Enum<ParserMode>
  - - org.eclipse.cdt.core.parser.ParserMode

All Implemented Interfaces:
  Serializable, Comparable<ParserMode>

    public enum ParserMode
    extends Enum<ParserMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPLETE_PARSE` Follow inclusions, parse function/method bodies.
`COMPLETION_PARSE` Follow inclusions, parse function/method bodies, stop at a particular offset.
`QUICK_PARSE` Do not follow inclusions, do not parse function/method bodies.
`SELECTION_PARSE` Follow inclusions, parse function/method bodies, stop at a particular offset.
`STRUCTURAL_PARSE` Follow inclusions, do not parse function/method bodies.

### Method Summary

All Methods Static Methods Concrete Methods
`static ParserMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParserMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUICK_PARSE

    public static final ParserMode QUICK_PARSE

Do not follow inclusions, do not parse function/method bodies.

#### STRUCTURAL_PARSE

    public static final ParserMode STRUCTURAL_PARSE

Follow inclusions, do not parse function/method bodies.

#### COMPLETE_PARSE

    public static final ParserMode COMPLETE_PARSE

Follow inclusions, parse function/method bodies.

#### COMPLETION_PARSE

    public static final ParserMode COMPLETION_PARSE

Follow inclusions, parse function/method bodies, stop at a particular offset. Provide optimized lookup capability for querying symbols.

#### SELECTION_PARSE

    public static final ParserMode SELECTION_PARSE

Follow inclusions, parse function/method bodies, stop at a particular offset. Provide specific semantic information about an offset range or selection.

### Method Detail

#### values

    public static ParserMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParserMode c : ParserMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParserMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null